Python
from parallel import Parallel
client = Parallel()
run = client.beta.findall.retrieve(
findall_id="findall_56ccc4d188fb41a0803a935cf485c774",
)
print(f"FindAll run {run.findall_id} status: {run.status.status}")import Parallel from "parallel-web";
const client = new Parallel();
const run = await client.beta.findall.retrieve("findall_56ccc4d188fb41a0803a935cf485c774");
console.log(`FindAll run ${run.findall_id} status: ${run.status.status}`);HttpResponse<String> response = Unirest.get("https://api.parallel.ai/v1beta/findall/runs/{findall_id}")
.header("x-api-key", "<api-key>")
.asString();curl --request GET \
--url https://api.parallel.ai/v1beta/findall/runs/{findall_id} \
--header 'x-api-key: <api-key>'{
"findall_id": "<string>",
"status": {
"status": "queued",
"is_active": true,
"metrics": {
"generated_candidates_count": 0,
"matched_candidates_count": 0
},
"termination_reason": "low_match_rate"
},
"generator": "base",
"metadata": {},
"created_at": "<string>",
"modified_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}FindAll
Retrieve FindAll Run Status
Retrieve a FindAll run.
GET
/
v1beta
/
findall
/
runs
/
{findall_id}
Python
from parallel import Parallel
client = Parallel()
run = client.beta.findall.retrieve(
findall_id="findall_56ccc4d188fb41a0803a935cf485c774",
)
print(f"FindAll run {run.findall_id} status: {run.status.status}")import Parallel from "parallel-web";
const client = new Parallel();
const run = await client.beta.findall.retrieve("findall_56ccc4d188fb41a0803a935cf485c774");
console.log(`FindAll run ${run.findall_id} status: ${run.status.status}`);HttpResponse<String> response = Unirest.get("https://api.parallel.ai/v1beta/findall/runs/{findall_id}")
.header("x-api-key", "<api-key>")
.asString();curl --request GET \
--url https://api.parallel.ai/v1beta/findall/runs/{findall_id} \
--header 'x-api-key: <api-key>'{
"findall_id": "<string>",
"status": {
"status": "queued",
"is_active": true,
"metrics": {
"generated_candidates_count": 0,
"matched_candidates_count": 0
},
"termination_reason": "low_match_rate"
},
"generator": "base",
"metadata": {},
"created_at": "<string>",
"modified_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Headers
Path Parameters
Response
Successful Response
FindAll run object with status and metadata.
ID of the FindAll run.
Status object for the FindAll run.
Show child attributes
Show child attributes
Generator for the FindAll run.
Available options:
base, core, pro, preview Metadata for the FindAll run.
Show child attributes
Show child attributes
Timestamp of the creation of the run, in RFC 3339 format.
Timestamp of the latest modification to the FindAll run result, in RFC 3339 format.